<?php

/**
* Модуль подземелья
* @author Alex Priadko 
* @copyright Elfi 
* @package Kninds.ru
* 
*/

$need = 1; //сколько людей надо чтоб начать битву

include_once '../system/common.php';
include_once '../system/functions.php';
include_once '../system/user.php';
$title ='Владения Аида';
include_once '../system/h.php';


?>
<div class ='content'/>
	<center>
		<img src ='images/aid_valley.jpg'/>
	</center>
</div>
<div class ='line'/></div>

<?

if ($user['baron'] > time()) {

	if (isset($_GET['open']) && $user['g']>=150)
	{
		mysql_query("UPDATE `users` SET `baron`='0',`g`='".($user['g']-150)."' WHERE `id`='".$user['id']."'");
		header("location:?");
		exit;
	}

	$tt = $user['baron']-time();
			$tth = $tt/3600%60;
			$ttm = $tt/60%60;
			$tts = $tt%60;
	?>
	<div class ='content'/>
		<center>

			Вы устали в бой через : <?=$tth;?>:<?=$ttm;?>:<?=$tts;?>
		</center>
	</div>
	<div class ='line'/></div>
	<div class ='content'/>
		<center>
			<a class ='button' href ='?open' /> Выпить эликсир искателя за 150<img src ='/images/icon/gold.png'/></a>
		</center>
	</div>
	<?

	include_once '../system/f.php';
	exit;
}

$dataRows = mysql_num_rows(mysql_query("SELECT `id`,`user` FROM `cavewar` WHERE `user`='".$user['id']."'"));


if (isset($_GET['start']) && $dataRows == 1)
{
	mysql_query("DELETE FROM `cavewar` WHERE `user`='".$user['id']."'");
	mysql_query("INSERT INTO `cavebattle` SET `user`='".$user['id']."',`bosshp`='".($user['vit']*5)."'");
	header("Location:cavebattle.php");
	exit;
}



$myData = mysql_fetch_assoc(mysql_query("SELECT * FROM `cavewar` WHERE `user`='".$user['id']."'"));
?>
	<div class ='content'/>
		<center>
			В этом подземелии царствует Аид и его прислужники... Все кто к нему попадали, больше не возвращались с этого путешествия.
		</center>
		Подземелье расчитано на одного игрока. Игрок должен победить всех прислужников и в конце самого босса и получить награду, серебро, золото, вещи.
	</div>
	<div class ='line'/></div>
	<div class ='content'/>
<?
	
if (!$myData)
{	
	if( isset($_GET['join']))
	{
		mysql_query("INSERT INTO `cavewar` SET `user`='".$user['id']."',`timedel`='".(time()+(3600*4))."'")or die(mysql_error());
		header("location:?");
		exit;
	}
	?>
	<center>
		<a class = 'button' href ='?join'/> Войти в подземелье </a>
	</center>
	</div>
	<?
} else {
	if ($dataRows ==  $need)
	{
		?>
		<center>
			<a class ='button' href ='?start' /> Начать бой </a>
		</center>
		<br/>
		<?
	}

		if (isset($_GET['unjoin']))
		{
			mysql_query("DELETE FROM `cavewar` WHERE `user`='".$user['id']."'");
			header("Location:?");
			exit;
		}

		?>
		<center>
		<a class = 'button' href ='?unjoin'/> Покинуть подземелье </a>
		</center>
		</div>	

		<?
}

include_once '../system/f.php';